Page MenuHomePhabricator

[LLVM][PASSES][InstSimplify] Add (X << Y) % X -> 0
ClosedPublic

Authored by AntonBikineev on Jan 20 2018, 6:39 PM.

Details

Reviewers
spatel
lebedev.ri
Summary

@spatel
I've added that missing fold you mentioned in D42032. I'll also quickly add new tests in a separated patch and rebase this patch as soon as those tests get committed.

Diff Detail

Event Timeline

AntonBikineev created this revision.Jan 20 2018, 6:39 PM
spatel accepted this revision.Jan 22 2018, 6:45 AM

LGTM.

This revision is now accepted and ready to land.Jan 22 2018, 6:45 AM

Let me know if you'd like me to commit this for you.

Looking at https://reviews.llvm.org/people/revisions/1398/ i think you can ask for the commit rights now. Just a thought.

Looking at https://reviews.llvm.org/people/revisions/1398/ i think you can ask for the commit rights now. Just a thought.

Thanks for noting that! I was just granted with commit access and checked it using this patch.

AntonBikineev closed this revision.Jan 23 2018, 1:44 AM